Download it now!
Bug 64528 - Database Creation Wizard - Mac Addressbook creation failure
Summary: Database Creation Wizard - Mac Addressbook creation failure
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Mac OS X (All)
: high blocker
Assignee: Lionel Elie Mamane
URL:
Whiteboard: target:4.1.0
Keywords: regression
Depends on:
Blocks: Database-Wizard
  Show dependency treegraph
 
Reported: 2013-05-13 10:15 UTC by Alex Thurgood
Modified: 2017-10-23 20:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2013-05-13 10:15:52 UTC
Using master build :

Version: 4.1.0.0.alpha0+
Build ID: efc4761686b9c566d9a45fb9ab3984d7704603b

on OSX

The database wizard allows the user to connect to a Mac address book, however this fails to load once the ODB file has been saved, with the following error message :


A connection for the following URL was requested "sdbc:address:macab".


Regression over previous behaviour.


Alex
Comment 1 Alex Thurgood 2013-05-13 10:17:40 UTC
@Roman : any chance of confirming ?


Alex
Comment 2 Alex Thurgood 2013-05-13 10:24:31 UTC
It works fine in :

Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)


Alex
Comment 3 Alex Thurgood 2013-05-13 10:38:26 UTC
Putting the db people on copy, even if they don't have Macs to test on. This bug is OSX specific.

Alex
Comment 4 Lionel Elie Mamane 2013-05-13 10:49:50 UTC
There isn't more information in the error message? (click "more" button and then click each "level" on the left hand-side)

For example "could not find a driver for this URL" or something.

Does a connection setup with an older version still work, or same error message?

Maybe the MacAB driver is just deactivated / not built / ... in master?

I don't see a Mac build log on http://tinderbox.libreoffice.org/MASTER/status.html right now to take a look.
Comment 5 Alex Thurgood 2013-05-13 11:41:34 UTC
"The connection to the data source "MacAb40_test" could not be established."

This is the error message I get when I try to open an ODB file in LO master that I originally created with LO 4.0.3

More info :
SQL Status: HY000

The connection to the external data source could not be established. No SDBC driver was found for the given URL.

A connection for the following URL was requested "sdbc:address:macab".


Alex
Comment 6 Lionel Elie Mamane 2013-05-13 12:36:05 UTC
Let me know if http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c46fa1299bc00bff5528895bcdffdf0e681572d does fix it completely or not.
Comment 7 Commit Notification 2013-05-13 12:39:01 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c46fa1299bc00bff5528895bcdffdf0e681572d

fdo#64528 macab URL is sdbc:address:macab, not sdbc:address:macab:*



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Alex Thurgood 2013-05-23 15:44:48 UTC
Hi Lionel,

Yep, your commit makes this work again, thanks.

Alex